- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
dmxcmap.h File Reference
`#include "colormapst.h"`

Go to the source code of this file.

## Data Structures
struct | _dmxColormapPriv
## Defines
#define | DMX_SET_COLORMAP_PRIV(_pCMap, _pCMapPriv) dixSetPrivate(&(_pCMap)->devPrivates, dmxColormapPrivateKey, _pCMapPriv)
#define | DMX_GET_COLORMAP_PRIV(_pCMap)
## Typedefs
typedef struct _dmxColormapPriv | dmxColormapPrivRec
typedef struct _dmxColormapPriv * | dmxColormapPrivPtr
## Functions
Bool | dmxCreateColormap (ColormapPtr pColormap)
void | dmxDestroyColormap (ColormapPtr pColormap)
void | dmxInstallColormap (ColormapPtr pColormap)
void | dmxStoreColors (ColormapPtr pColormap, int ndef, xColorItem *pdef)
Bool | dmxCreateDefColormap (ScreenPtr pScreen)
Bool | dmxBECreateColormap (ColormapPtr pColormap)
Bool | dmxBEFreeColormap (ColormapPtr pColormap)

## Detailed Description

Header file for colormap support.

See also:
  dmxcmap.c.

## Define Documentation

#define DMX_GET_COLORMAP_PRIV | ( |  | _pCMap | ) |

Value:

    (dmxColormapPrivPtr)            \
        dixLookupPrivate(&(_pCMap)->devPrivates, dmxColormapPrivateKey)

Get colormap private structure.

Referenced by dmxBECreateColormap(), dmxBEFreeColormap(), dmxCreateRootWindow(), dmxDestroyColormap(), dmxDoChangeWindowAttributes(), dmxGetDefaultWindowAttributes(), dmxInstallColormap(), and dmxStoreColors().

#define DMX_SET_COLORMAP_PRIV | ( |  | _pCMap,
|  |  | _pCMapPriv
| ) |  | dixSetPrivate(&(_pCMap)->devPrivates, dmxColormapPrivateKey, _pCMapPriv)

Set colormap private structure.

Referenced by dmxAllocateColormapPrivates(), and dmxDestroyColormap().

## Typedef Documentation

typedef struct _dmxColormapPriv * dmxColormapPrivPtr

typedef struct _dmxColormapPriv dmxColormapPrivRec

Colormap private area.

## Function Documentation

Bool dmxBECreateColormap | ( | ColormapPtr | pColormap | ) |

Create pColormap on the back-end server.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, dmxLog(), dmxLookupVisual(), dmxScreens, dmxWarning, and _DMXScreenInfo::scrnWin.

Referenced by dmxBECreateResources(), and dmxCreateColormap().

Bool dmxBEFreeColormap | ( | ColormapPtr | pColormap | ) |

Destroy pColormap on the back-end server.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, and dmxScreens.

Referenced by dmxBEDestroyResources(), and dmxDestroyColormap().

Bool dmxCreateColormap | ( | ColormapPtr | pColormap | ) |

Create colormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, DMX_UNWRAP, DMX_WRAP, dmxAllocateColormapPrivates(), dmxBECreateColormap(), dmxCreateColormap(), and dmxScreens.

Referenced by dmxCreateColormap(), and dmxScreenInit().

Bool dmxCreateDefColormap | ( | ScreenPtr | pScreen | ) |

Create the DMX server's default colormap.

Referenced by dmxScreenInit().

void dmxDestroyColormap | ( | ColormapPtr | pColormap | ) |

Destroy colormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, DMX_GET_COLORMAP_PRIV, DMX_SET_COLORMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxBEFreeColormap(), dmxDestroyColormap(), and dmxScreens.

Referenced by dmxDestroyColormap(), and dmxScreenInit().

void dmxInstallColormap | ( | ColormapPtr | pColormap | ) |

Install colormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxInstallColormap(), dmxScreens, and dmxSync().

Referenced by dmxInstallColormap(), and dmxScreenInit().

void dmxStoreColors | ( | ColormapPtr | pColormap,
|  | int | ndef,
|  | xColorItem * | pdef
| ) |  |

Store colors in pColormap on back-end server associated with pColormap's screen.

References _DMXScreenInfo::beDisplay, _dmxColormapPriv::cmap, DMX_GET_COLORMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxScreens, dmxStoreColors(), and dmxSync().

Referenced by dmxScreenInit(), and dmxStoreColors().